Get your account

Returns your account: your account id, identity (username, email, avatar, signup date), your seller profile if you've onboarded as a seller, and the list of scopes your API key holds.

Requires the account:read scope.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/account/me
curl https://public-api.cardnexus.com/v1/account/me \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "65f3a2b1c8d4e9f7a6b5c4d3",
  "username": "alphabay_cards",
  "email": "alex@alphabay-cards.example",
  "imageUrl": "https://images.cardnexus.com/avatars/alphabay_cards.png",
  "createdAt": "2024-08-14T10:23:11.000Z",
  "seller": {
    "type": "pro",
    "country": "FR",
    "currency": "EUR",
    "available": true
  },
  "scopes": [
    "account:read",
    "inventory:read",
    "inventory:write"
  ]
}